2019-10-16 15:26 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002043FSSCPSEXPspublic2009-11-22 06:08
ReporterFUBAR-BDHR 
Assigned ToGoober5000 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.11 
Target VersionFixed in Version3.6.11 
Summary0002043: Variable-array-set causes crash when value right clicked
DescriptionSaw the commit for the new sexps today and figured I'd check them out. Added a variable, selected variable-array-set and right clicked on the second argument. Instant crash.


     fred2_open_3_6_11d_INF_SSE2.exe!debug_int3(char * file=0x010d6dc4, int line=3103) Line 760 C++
> fred2_open_3_6_11d_INF_SSE2.exe!sexp_tree::get_modify_variable_type(int parent=2) Line 3103 + 0x13 bytes C++
     fred2_open_3_6_11d_INF_SSE2.exe!sexp_tree::right_clicked(int mode=458754) Line 1054 + 0xf bytes C++
     fred2_open_3_6_11d_INF_SSE2.exe!event_editor::OnRclickEventTree(tagNMHDR * pNMHDR=0x0012fa00, long * pResult=0x0012f814) Line 349 C++
     fred2_open_3_6_11d_INF_SSE2.exe!_AfxDispatchCmdMsg(CCmdTarget * pTarget=0x07b18018, unsigned int nID=1266, int nCode=65531, void (void)* pfn=0x00834e8c, void * pExtra=0x0012f6d4, unsigned int nSig=61, AFX_CMDHANDLERINFO * pHandlerInfo=0x00000000) Line 112 C++
     fred2_open_3_6_11d_INF_SSE2.exe!CCmdTarget::OnCmdMsg(unsigned int nID=1266, int nCode=65531, void * pExtra=0x0012f6d4, AFX_CMDHANDLERINFO * pHandlerInfo=0x00000000) Line 381 + 0x27 bytes C++
     fred2_open_3_6_11d_INF_SSE2.exe!CDialog::OnCmdMsg(unsigned int nID=1266, int nCode=5177339, void * pExtra=0x0012f6d4, AFX_CMDHANDLERINFO * pHandlerInfo=0x00000000) Line 85 + 0x18 bytes C++
     fred2_open_3_6_11d_INF_SSE2.exe!CWnd::OnNotify(unsigned int __formal=1266, long lParam=1243648, long * pResult=0x0012f814) Line 2390 C++
     fred2_open_3_6_11d_INF_SSE2.exe!CWnd::OnWndMsg(unsigned int message=78, unsigned int wParam=1266, long lParam=1243648, long * pResult=0x0012f84c) Line 1781 + 0x2a bytes C++
     fred2_open_3_6_11d_INF_SSE2.exe!CWnd::WindowProc(unsigned int message=78, unsigned int wParam=1266, long lParam=1243648) Line 1755 + 0x20 bytes C++
     fred2_open_3_6_11d_INF_SSE2.exe!AfxCallWndProc(CWnd * pWnd=0x07b18018, HWND__ * hWnd=0x002811e4, unsigned int nMsg=78, unsigned int wParam=1266, long lParam=1243648) Line 240 + 0x1c bytes C++
     fred2_open_3_6_11d_INF_SSE2.exe!AfxWndProc(HWND__ * hWnd=0x002811e4, unsigned int nMsg=78, unsigned int wParam=1266, long lParam=1243648) Line 403 C++
     user32.dll!7e418734()
     [Frames below may be incorrect and/or missing, no symbols loaded for user32.dll]
     user32.dll!7e418816()
     user32.dll!7e42927b()
     user32.dll!7e4292e3()
     comctl32.dll!5d096751()
     comctl32.dll!5d0e949e()
     comctl32.dll!5d0a9ba6()
     user32.dll!7e418734()
     user32.dll!7e418816()
     user32.dll!7e42a013()
     user32.dll!7e42a998()
     fred2_open_3_6_11d_INF_SSE2.exe!CWnd::DefWindowProcA(unsigned int nMsg=516, unsigned int wParam=2, long lParam=5636216) Line 1043 + 0x20 bytes C++
     fred2_open_3_6_11d_INF_SSE2.exe!CWnd::WindowProc(unsigned int message=516, unsigned int wParam=2, long lParam=5636216) Line 1756 + 0x1c bytes C++
     fred2_open_3_6_11d_INF_SSE2.exe!AfxCallWndProc(CWnd * pWnd=0x07b18094, HWND__ * hWnd=0x003f1182, unsigned int nMsg=516, unsigned int wParam=2, long lParam=5636216) Line 240 + 0x1c bytes C++
     fred2_open_3_6_11d_INF_SSE2.exe!AfxWndProc(HWND__ * hWnd=0x003f1182, unsigned int nMsg=516, unsigned int wParam=2, long lParam=5636216) Line 403 C++
     user32.dll!7e418734()
     user32.dll!7e418816()
     user32.dll!7e4189cd()
     user32.dll!7e431b7c()
     user32.dll!7e43c6d3()
     fred2_open_3_6_11d_INF_SSE2.exe!CWnd::IsDialogMessageA(tagMSG * lpMsg=0x0017dec0) Line 198 C++
     fred2_open_3_6_11d_INF_SSE2.exe!CWnd::PreTranslateInput(tagMSG * lpMsg=0x0017dec0) Line 4332 C++
     fred2_open_3_6_11d_INF_SSE2.exe!CDialog::PreTranslateMessage(tagMSG * pMsg=0x0017dec0) Line 80 C++
     fred2_open_3_6_11d_INF_SSE2.exe!CWnd::WalkPreTranslateTree(HWND__ * hWndStop=0x00871144, tagMSG * pMsg=0x0017dec0) Line 2946 + 0x14 bytes C++
     fred2_open_3_6_11d_INF_SSE2.exe!AfxInternalPreTranslateMessage(tagMSG * pMsg=0x0017dec0) Line 233 + 0x12 bytes C++
     fred2_open_3_6_11d_INF_SSE2.exe!CWinThread::PreTranslateMessage(tagMSG * pMsg=0x0017dec0) Line 777 + 0x9 bytes C++
     fred2_open_3_6_11d_INF_SSE2.exe!AfxPreTranslateMessage(tagMSG * pMsg=0x0017dec0) Line 252 + 0x11 bytes C++
     fred2_open_3_6_11d_INF_SSE2.exe!AfxInternalPumpMessage() Line 178 + 0x18 bytes C++
     fred2_open_3_6_11d_INF_SSE2.exe!CWinThread::PumpMessage() Line 900 C++
     fred2_open_3_6_11d_INF_SSE2.exe!CWinThread::Run() Line 629 + 0xd bytes C++
     fred2_open_3_6_11d_INF_SSE2.exe!CWinApp::Run() Line 865 C++
     fred2_open_3_6_11d_INF_SSE2.exe!AfxWinMain(HINSTANCE__ * hInstance=0x00400000, HINSTANCE__ * hPrevInstance=0x00000000, char * lpCmdLine=0x00152344, int nCmdShow=1) Line 47 + 0xd bytes C++
     fred2_open_3_6_11d_INF_SSE2.exe!WinMain(HINSTANCE__ * hInstance=0x00400000, HINSTANCE__ * hPrevInstance=0x00000000, char * lpCmdLine=0x00152344, int nCmdShow=1) Line 30 C++
     fred2_open_3_6_11d_INF_SSE2.exe!__tmainCRTStartup() Line 263 + 0x2c bytes C
     fred2_open_3_6_11d_INF_SSE2.exe!WinMainCRTStartup() Line 182 C
     kernel32.dll!7c817077()


- this 0x07b18094 {event_sexp_tree hWnd=0x003f1182} sexp_tree * const
+ [event_sexp_tree] {event_sexp_tree hWnd=0x003f1182} event_sexp_tree
+ CTreeCtrl {CTreeCtrl hWnd=0x003f1182} CTreeCtrl
        ctree_size -842150451 int
        m_mode 458754 int
        item_index 4 int
        select_sexp_node -1 int
        m_dragging 0 int
        m_h_drag 0xcdcdcdcd _TREEITEM *
        m_h_drop 0xcdcdcdcd _TREEITEM *
+ m_p_image_list 0x00000000 {CImageList} CImageList *
+ help_box 0x07af3784 {CWnd hWnd=0x00431194} CEdit *
+ mini_help_box 0x07af37d8 {CWnd hWnd=0x00801252} CEdit *
+ m_pt {x=59 y=264} CPoint
        flag 0 int
+ modified 0x07b1808c int *
+ tree_nodes {...} SCP_vector<sexp_tree_item>
        total_nodes 5 int
        item_handle 0x001b1c98 _TREEITEM *
        root_item -1 int
        add_instance -1 int
        replace_instance -1 int
        parent 2 int
        sexp_var_index -1 int
Additional Information3.6.11 r5666
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0011318

Goober5000 (administrator)

Fixed; it was Int3'ing on a case that worked in release builds.
+Notes

-Issue History
Date Modified Username Field Change
2009-11-18 23:35 FUBAR-BDHR New Issue
2009-11-20 00:22 Goober5000 Status new => assigned
2009-11-20 00:22 Goober5000 Assigned To => Goober5000
2009-11-22 06:08 Goober5000 Note Added: 0011318
2009-11-22 06:08 Goober5000 Status assigned => resolved
2009-11-22 06:08 Goober5000 Resolution open => fixed
2009-11-22 06:08 Goober5000 Fixed in Version => 3.6.11
+Issue History